Redmine - Defect #3093

Redmine Issue Creation By Email
2009-04-01 12:28 - karthikeyan rangaswamy

Status: Closed Start date: 2009-04-01
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Email receiving Estimated time: 0.00 hour

Target version:

Resolution: Cant reproduce Affected version:

Description
I am currently downloaded Redmine-0.8.2 in my system.l checked the functionality of Issue Creation by Email

| Have sent the following email to an email address to where rake task is configured

project:myprojectidentifier
tracker:mytrackername
priority:mypriorityname
status:mydefaultstatusname
Task Type:my tasktype
Help:my default value

This Task Type,help are the custom fields i have created for issues
I am running the following rake task

rake redmine:email:receive_imap RAILS_ENV="production" host=smtp.gmail.com port=993 ssl=1 username=myusername
password=myemailpassword

Whats happening is this whole thing
"project:myprojectidentifier
tracker:mytrackername
priority:mypriorityname
status:mydefaultstatusname

Task Type:my tasktype

Help:my default value"

is considered as Issue description and it is saving under issue description.And the Reamining values are stored appropriately.Only
the problem with the issue description

| am not able to pass these custom fields as default values in rake task.

| am able to pass

rake redmine:email:receive_imap RAILS_ENV="production" host=smtp.gmail.com port=993 ssl=1 username=myusername
password=myemailpassword project=myprojectidentifier status=mystatusname priority=mypriorityname tracker=mytrackername
allow_override=project,status,tracker,priority

In this | am not able to pass the Custom fields

Please guide me in this issue

History

#1 - 2009-04-01 13:08 - Emil Stepniewski

| think these keywords must begin with uppercase letters, ie. "Project", not "project”.
| am using this feature with no problems.

#2 - 2009-04-01 13:18 - Emil Stepniewski

Forget my comment above. | just checked the code and it is ignoring case when searching for keywords.

2025-05-17 1/2




It just must start on begining of line and be followed immediately by a colon.

#3 - 2009-04-01 14:06 - karthikeyan rangaswamy

| Understand what u r saying.But what about the issue description.How it is getting saved.Are u specifying issue description like
description:details of description

Even i Tried with this But Issue description is taken whatever is there on the email body

#4 - 2009-04-06 14:19 - Peter Muusers-Meeuwsen

By default, you cannot enter data for a lot of fields... | believe that submitting values for custom fields is not supported at the moment.

However, you can use a patch (see: http:/www.redmine.org/issues/2702), which enables submitting values for other fields aswell... | used this to
enable the assigned_to field, for example. But it should work for custom fields too.

#5 - 2009-04-06 15:41 - karthikeyan rangaswamy

In Most Recent Version of rails,that is in both redmine-0.8.2 and in redmine-0.8.3 that option is there.You can send the value for custom fields in email
body.But the problem is whatever you send in email body it is considering the whole thing as issue description

#6 - 2010-01-27 03:45 - Ted Behling
karthikeyan rangaswamy wrote:
In Most Recent Version of rails,that is in both redmine-0.8.2 and in redmine-0.8.3 that option is there.You can send the value for custom fields in

email body.But the problem is whatever you send in email body it is considering the whole thing as issue description

Does it work if you put a space after the colon?

#7 - 2011-03-24 10:48 - Toshi MARUYAMA

- Category set to Email receiving

#8 - 2019-02-10 04:40 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Cant reproduce
